package com.maenle.bump.util

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.TextView
import com.maenle.bump.R
import com.maenle.bump.ui.MessageItem


class NotificationAdapter(context: Context, messages: MutableList<MessageItem>) :
    ArrayAdapter<MessageItem?>(context, 0, messages as List<MessageItem?>) {
    val bump = BumpProcessor(context)

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {

        // Get the data item for this position
        var view: View? = convertView
        val message: MessageItem? = getItem(position)

        // Check if an existing view is being reused, otherwise inflate the view
        if (view == null) {
            view = LayoutInflater.from(context).inflate(R.layout.notification_item, parent, false)
        }

        // Lookup view for data population
        val title = view?.findViewById(R.id.title) as TextView
        val data = view.findViewById(R.id.data) as TextView

        // Populate the data into the template view using the data object
        if (message != null) {
            title.text = message.header
            data.text = "data"
        }

        // Return the completed view to render on screen
        return view
    }
}